<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script>
        var exchangeRate = { /*ungefähre Werte!*/
            "chf" : 1,
            "eur" : 0.92,
            "usd" : 1.04,
            "cad" : 1.33,
            "pen" : 3.40
        };
        window.addEventListener("load", function(){
            var inputs = document.querySelectorAll("input[data-currency]");

            for(var i = 0; i < inputs.length; i++){
                inputs[i].addEventListener('input', updateValues);
            }
        });

        function updateValues(e){
            var srcInput = e.srcElement;
            var selector = "input:not([data-currency="+srcInput.getAttribute('data-currency')+"])";
            var desInputs = document.querySelectorAll(selector);

            var factor = srcInput.value / exchangeRate[srcInput.getAttribute("data-currency")];

            for(var i = 0; i < desInputs.length; i++){
                var toBeUpdated = desInputs[i];
                var newVal = factor * exchangeRate[toBeUpdated.getAttribute("data-currency")];
                newVal = Math.floor(newVal*100) / 100;
                toBeUpdated.value = newVal;
            }
        }
    </script>
</head>

<body>
    <p>CHF: <input data-currency="chf"/></p>
    <p>Euro: <input  data-currency="eur"/></p>
    <p>Dollar: <input  data-currency="usd"/></p>
    <p>Canadian $: <input  data-currency="cad"/></p>
    <p>Peruvian Nuevo Sol: <input  data-currency="pen"/></p>
</body>
</html>